Skip to main content
POST
/
identity
/
run-detail
Get one identity run with its per-check results
curl --request POST \
  --url https://api.artu.ai/identity/run-detail \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "checkedBy": "<string>",
  "results": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "checkResults": [
    {
      "checkId": "<string>",
      "providerId": "<string>",
      "reason": {
        "message": "<string>"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "data": "<unknown>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Body

application/json

Fetch one identity run with its per-check results.

runId
string<uuid>
required

Response

200 - application/json

OK

id
string<uuid>
required
clientId
string<uuid>
required
checkedBy
string
required
Minimum string length: 1
results
object
required
createdAt
string<date-time>
required
checkResults
object[]
required